#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class SportsController < ApplicationController
  caches_page :index, :show

  def index
    @sports = Sport.find(:all)
  end

  def show
    @sport = Sport.find(params[:id])
  end

  def new
    @sport = Sport.new
  end

  def create
    @sport = Sport.new(params[:sport])

    if @sport.save
      expire_page :controller => "sports", :action => "index" 

      flash[:notice] = 'Sport successfully created.'
      redirect_to :action => "index"
    else
      render :action => "new"
    end
  end
end
