#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User < ActiveRecord::Base
  # unencrypted password
  attr_accessor :password

  # validation
  validates_length_of       :email, :within => 3..100
  validates_uniqueness_of   :email, :case_sensitive => false
  validates_presence_of     :name
  validates_length_of       :password, :within => 4..40, 
                                       :if => :password_required? 
  validates_confirmation_of :password, :if => :password_required? 

  # no encrypted password yet OR password attribute is set
  def password_required? 
    encrypted_password.blank? || !password.blank?
  end
end
