#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
ActionController::Routing::Routes.draw do |map|
  map.root :controller => 'homepage'

  # meetings routes
  map.with_options :controller => "meetings" do |m|
    m.meetings    'meetings',             :action => "index"
    m.meeting     'meetings/:action/:id', :action => "show"
    m.new_meeting 'meetings/new',         :action => "new"
  end

  # presentations routes
  map.presentation 'meetings/:meeting_id/presentations/:action/:id',
                    :controller => "presentations", 
                    :action     => "show", 
                    :meeting_id => /\d+/

  # user routes
  map.with_options :controller => "users" do |u|
    u.users   'users',       :action => "index"
    u.profile 'profile/:id', :action => "show"
    u.signup  'signup',      :action => "new"
    u.user    'users/:action/:id'
  end

  # session routes
  map.with_options :controller => "sessions" do |s|
    s.login   'login',  :action => "new"
    s.logout  'logout', :action => "destroy"
    s.session 'sessions/:action/:id'
  end

  # Install the default routes as the lowest priority.
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
end
