namespace :db do
  desc "Load default db/data/{records}.yml to the database"
  task :seed => :environment do
    require 'active_record/fixtures'
    ActiveRecord::Base.establish_connection(RAILS_ENV.to_sym)

    Dir.glob(File.join(RAILS_ROOT, 'db', 'data', '*.yml')).each do |fixture_file|
      table_name = File.basename(fixture_file, '.yml')
      ActiveRecord::Base.connection.execute("TRUNCATE TABLE #{table_name}")
      Fixtures.create_fixtures('db/data', table_name)
    end
  end
end