#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class HomepageControllerTest < ActionController::TestCase
  fixtures :meetings, :presentations, :users

  def setup
    super
    @request.session[:user] = users(:admin_user).id
  end

  def test_should_display_upcoming_meeting_date
    get :index
    assert_select '.next_meeting'
    assert_select '.date', /#{meetings(:next_months_meeting).name}/
  end

  def test_should_display_no_upcoming_meeting_when_none
    Meeting.delete_all # clear out meetings
    get :index
    assert_select '.next_meeting', false
  end

  def test_should_show_login_link_when_logged_out
    get :index, {}, :user => nil
    assert_select '#nav a', 'login'
  end
  
  def test_should_show_logout_link_when_logged_in
    get :index, {}, :user => users(:admin_user)
    assert_select '#nav a', 'logout'
  end
end
