#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class SessionsControllerTest < ActionController::TestCase
  fixtures :meetings, :presentations, :users

  def test_create_should_authenticate
    post :create, { :email => "", :password => "" }    
    assert_select "#flash_notice"

    assert_nil session[:user]
  end

  def test_create_should_start_session
    post :create, { :email    => users(:admin_user).email, 
                    :password => 'chunkybacon' }
    assert_redirected_to :controller => "users", :action => "show"

    assert_not_nil session[:user]
  end

  def test_destroy_should_end_session
    post :destroy
    assert_redirected_to :action => "new"

    assert_nil session[:user]
  end
end
