#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class PresentationTest < Test::Unit::TestCase
  fixtures :meetings, :presentations, :users

  # ASSOCIATIONS ========================================

  def test_should_belongs_to_meeting
    rjs = presentations(:rjs_templates)
    assert_kind_of Meeting, rjs.meeting
  end

  def test_should_belongs_to_user
    rjs = presentations(:rjs_templates)
    assert_kind_of User, rjs.user
  end

  # VALIDATION ========================================
  
  def test_should_create_presentation
    assert_difference 'Presentation.count', 1 do 
      presentation = create_presentation
      assert !presentation.new_record?
    end
  end

  def test_should_require_title_and_user
    p = create_presentation(:title => nil)
    assert p.errors.invalid?(:title)

    p = create_presentation(:user => nil)
    assert p.errors.invalid?(:user)
  end
  
  protected 
    def create_presentation(options = {})
      attrs = { :title       => "RJS Templates", 
                :description => "Render Javascript Snippets", 
                :user        => users(:admin_user) }.merge(options)
      Presentation.create(attrs)
    end
end
