#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class ExamplesController < ApplicationController  
  def escape_output
    @document = Document.find(:first)
  end

  
  def my_action
    name  = params[:name]
    title = params[:title]
  end
  

  
  def my_action
    if request.get?
      redirect_to :show

    elsif request.post?
      meeting = Meeting.new(params[:meeting])
    end
  end
  

  
  def my_action
    method    = request.method 
    is_get    = request.get? 
    is_post   = request.post? 
    is_put    = request.put? 
    is_delete = request.delete?    
    accepts   = request.accepts
    is_ajax   = request.xhr?
    remote_ip = request.remote_ip
    server    = request.server_software
    is_ssl    = request.ssl?
    host      = request.host
    port      = request.port
    uri       = request.request_uri
  end
  

  
  def my_action
    # expire at the finish of the current session
    cookies[:tab_state] = 'open'

    # set additional info for the cookie
    cookies[:tab_state] = { :value   => 'open', 
                            :expires => 14.days.from_now, 
                            :path    => "/~foo/" }
  end
  

  
  def my_action
    state = cookies[:tab_state]
  end
  
  
  
  def my_action
    cookies.delete(:tab_state)
  end
  

  
  def my_action
    session[:user] = @user.id
  end
  

  
  def my_action
    user_id = session[:user]
  end
  

  
  def my_action
    reset_session
  end
  

  
  def my_action
    response.headers['Cache-Control'] = 'no-cache, must-revalidate'
    response.headers['Content-Type']  = 'application/pdf'
  end
  

  
  def my_action
    redirect_to(:controller => "documents", :action => "new")
  end
  

  
  def my_action
    redirect_to('http://maintainable.com');
  end
  

  
  def my_action
    id, name, type = params[:id], params[:name], params[:type]

    # condition fragment
    doc = Document.find(:first, 
                        :conditions => ["id = ?", id])
    # sql query
    docs = Document.find_by_sql(["SELECT * 
                                    FROM documents  
                                   WHERE filename LIKE ? 
                                     AND content_type = ?", 
                                 "%#{name}%", type])
  end
  

  
  def my_action
    begin 
      @document = Document.find(params[:id]) 
    rescue ActiveRecord::RecordNotFound 
      flash[:notice] = "Invalid document" 
      redirect_to :action => :index 
    end 
  end
  

  
  def my_action
    @document = Document.find_by_id(params[:id]) 
  end
  

  
  def my_action
    # deliver the message
    NotificationMailer.deliver_confirm(@user)
  end
  

  
  def my_action
    # create, and deliver later
    email = NotificationMailer.create_confirm(@user)
    NotificationMailer.deliver(email)
  end
  

  
  def my_action
    render
  end
  
  protected 
    def my_protected
      # this cannot be executed as an action
    end
  

end
