#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require "#{File.dirname(__FILE__)}/../test_helper"

class UserStoriesTest < ActionController::IntegrationTest
  fixtures :users, :presentations, :meetings

  def test_should_create_new_user
    # home page
    get "/"
    assert_template "homepage/index"

    # new user page
    get "/signup"
    assert_template "users/new"

    # post new user creation attempt
    user_params = { :name     => "Bob", 
                    :email    => "bob@example.com", 
                    :password => "chunkybacon", 
                    :password_confirmation => "chunkybacon" }
    post "/users/create", :user => user_params
    assert_response :redirect
  end
end
