class Dinosaur {
    public $vertebrate = true;
}

interface Carnivore {
    public function hunt();
}

// we have to implement hunt() for this to be valid
class TRex extends Dinosaur implements Carnivore {
    public function hunt() {
        print get_class($this)." is hunting!\n";
    }
}

class JurassicPark {
    protected $dinosaurs = array();
 
    public function add(Carnivore $dinosaur) {
        $this->dinosaurs[] = $dinosaur;
    }

    public function run() {
        foreach ($this->dinosaurs as $dino) {
            $dino->hunt();
        }
    }
}

$park = new JurassicPark;
$park->add(new TRex);
$park->run();
// => TRex is hunting!