class Errors implements IteratorAggregate {
    protected $errors;

    public function __construct() {
        $this->errors = array();
    }

    public function add($name, $message) {
        $this->errors[$name][] = $message;
    }

    public function getIterator() {
        $errors = array();
        foreach ($this->errors as $name => $msgs) {
            foreach ($msgs as $msg) {
                $errors[] = ucfirst($name)." ".$msg;
            }
        }
        return new ArrayIterator($errors);
    }
}

$errors = new Errors;
$errors->add('title',  'has invalid characters');
$errors->add('title',  'is too short');
$errors->add('author', "can't be empty");

foreach ($errors as $error) {
    print "$error\n";
}
// => Title has invalid characters
//    Title is too short
//    Author can't be empty