class User {
    // Ruby's private is similar to PHP's protected access
    // and is visible in subclasses
    protected function format($name)
    {
        return ucfirst($name);
    }
}

class Employee extends User {
    protected $name;

    public function __construct($name) {
        $this->name = $this->format($name);
    }

    public function compare($user) {
        return $this->getName() == $user->getName();
    }

    // we have no equivalent of Ruby's protected and have 
    // to use a public method to achieve the same results
    public function getName() {
        return $this->name;
    }
}
$joe  = new Employee('joe');
$jane = new Employee('jane');

var_export($joe->compare($jane));
// => false

// this is where the PHP/Ruby are different
print $jane->getName()."\n";
// => Jane