class Assistant {
    public $answeredCalls = 0;

    public function writeReport() {
        return 'assistant writing report...';
    }
}

class Boss {
    protected $assistant;

    // delegate undefined member/methods to assistant
    public function __construct($assistant) {
        $this->assistant = $assistant;
    }

    public function __set($name, $value) {
        $this->assistant->$name = $value;
    }

    public function __get($name) {
        return $this->assistant->$name;
    }

    public function __call($name, $args) {
        return call_user_func_array(
            array($this->assistant, $name), $args);
    }
}

$assistant = new Assistant;
$boss = new Boss($assistant);

$boss->answeredCalls = 5;
print $assistant->answeredCalls."\n";
// => 5

print $boss->writeReport()."\n";
// => assistant writing report...