class User {}

class Employee extends User {
    public        $first;
    protected     $last;
    public static $userCnt;
    
    public function __construct($first=null, $last=null) {
        $this->first = $first;
        $this->last  = $last;
        self::$userCnt++;
    }
    
    public function getFirst() {
        return $this->first;
    }
    
    public function getLast() {
        return $this->last;
    }
}

$class = new ReflectionClass('Employee');

print $class->getName()." descends from ".
      $class->getParentClass()->getName()."\n";
// => Employee descends from User

foreach ($class->getMethods() as $method) {
    $methods[] = $method->getName();
}
print join(', ', $methods)."\n";
// => __construct, getFirst, getLast

foreach ($class->getProperties() as $property) {
    $properties[] = $property->getName();
}
print join(', ', $properties)."\n";
// => first, last, userCnt