// implements the singleton pattern
class Log {
    private static $instance;

    private function __construct() {
        print "constructed\n";
    }

    public static function getInstance() {
        if (!isset(self::$instance)) {
            $className = __CLASS__;
            self::$instance = new $className;
        }
        return self::$instance;
    }
}

$log1 = Log::getInstance();
// => constructed
$log2 = Log::getInstance();

var_export($log1 === $log2);
// => true