#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User
  attr_accessor :first, :last

  def initialize(first, last)
    @first, @last = first, last
  end

  # custom comparison method compares instance values
  def ==(other)
    [:first, :last].each do |attr| 
      return false unless self.send(attr) == other.send(attr)
    end
    true
  end
end

puts User.new('john', 'doe') == User.new('john', 'doe')
# => true

puts User.new('john', 'doe') == User.new('jane', 'doe')
# => false

user = User.new('jean', 'dupont')
puts user.equal?(user)
# => true