#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Dinosaur
  def initialize
    @vertebrate = true
  end
end

module Carnivore
  def hunt
    puts "#{self.class} is hunting!"
  end
end

class TRex < Dinosaur
  include Carnivore
end

class Raptor < Dinosaur
  include Carnivore
end

class JurassicPark
  def initialize
    @dinosaurs = []
  end

  def <<(dinosaur)
    @dinosaurs << dinosaur
  end

  def run
    @dinosaurs.each {|dino| dino.hunt }
  end
end

park = JurassicPark.new
park << TRex.new
park << Raptor.new
park.run
# => TRex is hunting!
#    Raptor is hunting!