#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Errors
  def initialize
    @errors = {}
  end

  def add(name, message)
    @errors[name] ||= []
    @errors[name] << message
  end

  # each is the 
  def each
    @errors.each do |name, msgs|
      msgs.each {|msg| yield name.capitalize + " " + msg }
    end
  end
end

errors = Errors.new
errors.add('title',  'has invalid characters')
errors.add('title',  'is too short')
errors.add('author', "can't be empty")

errors.each {|error| puts error }
# => Title has invalid characters
#    Title is too short
#    Author can't be empty