#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User; end
class Employee < User
  @@user_cnt = 0

  def initialize(first=nil, last=nil)
    @first, @last = first, last
    @@user_cnt += 1
  end

  def first
    @first
  end

  def last
    @last
  end
end

puts "#{Employee.name} descends from #{Employee.superclass}"
# => Employee descends from User

puts Employee.instance_methods(false).join(', ')
# => last, first

puts Employee.private_methods(false).join(', ')
# => initialize, initialize_copy, inherited

# we need to create an instance to reflect on instance variables
puts Employee.new.instance_variables.join(', ')
# => @last, @first

puts Employee.class_variables.join(', ')
# => @@user_cnt
