#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Employee < User
  def initialize(name)
    @name = name
  end

  # we can call the given user's protected "name"
  # because it is also a User class
  def compare(user)
    self.name == user.name
  end

  protected
    def name
      @name
    end
end

joe  = Employee.new('joe')
jane = Employee.new('jane')

puts joe.compare(jane)
# => false

puts jane.name
# => protected method `name' called for #<User:0x1eac08 @name="Jane">
